import QInstrumentsProductConfigurator from '.'
import { loadProducts } from './db'
import { ALL_LABWARES, ALL_USAGE_AREAS, ALL_METHODS } from './models'

loadProducts()
  .then((products) => {
    QInstrumentsProductConfigurator.render('#app', {
      availableProducts: products,
      allAreas: ALL_USAGE_AREAS,
      allLabwares: ALL_LABWARES,
      allMethods: ALL_METHODS,
      allTechSpecs: [],
    })
  })
  .catch(console.error)
