# qinstruments/product-system

Models for managing products and adapters, and frontend components to display them.

### Models
- **Product** - A QInstruments product in the catalog, less than 50 total
- **Adapter** - A QInstruments adapter for a product, around 200 or more

### Frontend Plugins
- **ProductConfigurator** - A standalone Vue component for interactively filtering through products

## Usage
Make sure the following is in your `composer.json`
```json
{
	"repositories": [
        { "type": "composer", "url": "https://git.wappler.systems/api/packages/qinstruments/composer" }
	]
}
```

Then run
```bash
composer req qinstruments/product-system
```

## Building the JS library
Requires [bun](https://bun.sh/)
```bash
make js
```
